#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	XML
%define		pnam	LibXSLT
Summary:	XML::LibXSLT - interface to the GNOME libxslt library
Summary(pl.UTF-8):	XML::LibXSLT - interfejs do biblioteki libxslt z GNOME
Name:		perl-XML-LibXSLT
Version:	2.003000
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	632dce587b3c405edd4e622364750191
URL:		https://metacpan.org/dist/XML-LibXSLT
BuildRequires:	libxslt-devel >= 1.1.28
BuildRequires:	perl-XML-LibXML >= 1.75
BuildRequires:	perl-devel >= 1:5.14
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
%if "%(perl -MXML::LibXML -e 'print XML::LibXML::LIBXML_VERSION == XML::LibXML::LIBXML_RUNTIME_VERSION || 0' 2>/dev/null)" == "0"
BuildRequires:	REBUILD-perl-XML-LibXML
%endif
%endif
Requires:	libxslt >= 1.1.28
Requires:	perl-XML-LibXML >= 1.70
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an interface to the GNOME project's libxslt. This is an
extremely good XSLT engine, highly compliant and also very fast. I
have tests showing this to be more than twice as fast as Sablotron.

%description -l pl.UTF-8
Ten moduł jest interfejsem do libxslt z projektu GNOME. Jest to bardzo
dobry silnik XSLT, o dużej zgodności ze standardem, a także bardzo
szybki. Według testów jest ponad dwa razy szybszy od Sablotrona.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorarch}/XML/LibXSLT.pm
%{perl_vendorarch}/XML/LibXSLT
%dir %{perl_vendorarch}/auto/XML/LibXSLT
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXSLT/LibXSLT.so
%{_mandir}/man3/XML::LibXSLT.3pm*
%{_mandir}/man3/XML::LibXSLT::Quick.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Jul 03 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-LibXSLT.git;a=log;h=master

* Wed Jul 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 12882de
- updated to 2.003000

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> f5bbb43
- perl 5.40.0 rebuild

* Tue Aug 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 6008810
- updated to 2.002001

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> e28d88e
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> ae2ede2
- perl 5.36.0 rebuild

* Mon May 23 2022 Jakub Bogusz <qboosh@pld-linux.org> cee1be1
- updated to 2.002000

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 16a941c
- rebuild with perl 5.34.0

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 2de69db
- rebuild with perl 5.32

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 8606125
- updated to 1.99

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a329933
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> e28cc8b
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> ba272ad
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Tue Jun 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 4453eb6
- updated to 1.96; rebuild without gdbm dependency

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 0f8fd13
- updated to 1.95

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d9cc81e
- perl req/prov fix
- release 7 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2137947
- rebuild with perl 5.26
- release 6 (by relup.sh)

* Wed Nov 02 2016 Jan Rękorajski <baggins@pld-linux.org> 47079a4
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 3c17826
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9279499
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7d8f389
- x32 rebuild
- release 2 (by relup.sh)

